#!/bin/bash

#
# This script will read the config file,
# and will create the config header with the name
# which has been given as argument. The created header
# can then be included inside the rt2x00 code.
#
target_file=$1
config_options=$(cat config | grep -v "#" | grep CONFIG_)

echo "/* RT2x00 configuration header. */" > $target_file

for option in ${config_options[@]}; do
	option_name=$(echo $option | cut -d "=" -f 1)
	option_val=$(echo $option | cut -d "=" -f 2)

	echo "" >> $target_file

	if [ "$option_val" = "y" ]; then
		echo "#ifndef $option_name" >> $target_file
		echo "#define $option_name" >> $target_file
		echo "#endif /* $option_name */" >> $target_file
	else
		echo "#undef $option_name" >> $target_file
	fi
done
